'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var t = require('@babel/types');

const {
  AvailableD3Modules
} = require('./resources');

function isTypeImport(node) {
  return node.importKind && node.importKind !== 'value';
}
function isAvailableSource(node) {
  return t.isStringLiteral(node.source) && AvailableD3Modules.indexOf(node.source.value) !== -1;
}
function isParsableImportSpecifiers(node) {
  return node.specifiers.every(spec => !isTypeImport(spec) && !t.isImportDefaultSpecifier(spec));
}

exports.isAvailableSource = isAvailableSource;
exports.isParsableImportSpecifiers = isParsableImportSpecifiers;
exports.isTypeImport = isTypeImport;
